Bug 1432022 - [RFE] Traces should affect the hosts status
Summary: [RFE] Traces should affect the hosts status
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-tracer   
(Show other bugs)
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On: 1392013
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 10:53 UTC by Sean O'Keeffe
Modified: 2019-04-01 20:27 UTC (History)
10 users (show)

Fixed In Version: tracer-0.6.13.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18895 None None None 2017-03-14 17:19 UTC

Description Sean O'Keeffe 2017-03-14 10:53:47 UTC
Description of problem:
Clients now report "traces" back to Katello listing what services require restarting and how to restart them.

Based on the data that is reported back it would be great if this effected the Hosts "status".

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 pm-sat@redhat.com 2017-03-27 14:18:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18895 has been resolved.

Comment 2 pm-sat@redhat.com 2017-06-01 20:32:57 UTC
1405401

Comment 3 Perry Gagne 2017-12-07 15:30:14 UTC
Moving back to POST. There is still work being done to make this feature ready for downstream testing.

Comment 4 Zach Huntington-Meath 2017-12-11 17:13:39 UTC
Hi Perry, what additional work needs to be done before this should be moved to MODIFIED?

Comment 6 Justin Sherrill 2017-12-18 15:12:45 UTC
We need to pull in tracer-0.6.13.1  from upstream https://github.com/FrostyX/tracer/releases

Comment 8 Corey Welton 2018-02-08 20:21:56 UTC
Sean,

Is there any documentation or steps to verify this functionality?

Comment 11 Sean O'Keeffe 2018-02-19 12:41:27 UTC
Thanks Perry.

Comment 12 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.